import { LoggingBase, LoggingBaseOptions } from "@hibas123/logging";
export interface LoggingOptions extends LoggingBaseOptions {
    files: boolean | {
        /**
         * Filename/path of the logfile. Skip if generated with name
         */
        logfile: string;
        /**
         * Filename/path of the logfile. Skip if generated with name
         */
        errorfile: string;
    };
}
export declare class LoggingExtended extends LoggingBase {
    constructor(config?: Partial<LoggingOptions> | string);
}
export declare let Logging: LoggingExtended;
export default Logging;
